{
  "name": "frontend",
  "version": "0.0.0",
  "license": "GNU Affero General Public License",
  "scripts": {
    "ng": "ng",
    "start": "ng serve --host=0.0.0.0 --disable-host-check --port=4400 --base-href=/test/vote/",
    "build": "ng build",
    "build-prod": "ng build --prod",
    "build-gitlab-pages": "ng build --prod --output-path=dist-static --base-href \"https://chvote.gitlab.io/chvote-receiver\"",
    "test": "ng test",
    "testOnce": "ng test --single-run",
    "lint": "ng lint",
    "e2e": "./node_modules/.bin/protractor ./protractor.conf.js",
    "e2eCI": "./node_modules/.bin/protractor --baseUrl=http://docker/test/vote/ ./protractor.ci.conf.js",
    "e2eLocal": "./node_modules/.bin/protractor ./protractor.local.conf.js",
    "testOnceCI": "ng test --watch=false --code-coverage --source-map=false",
    "update-web-driver": "webdriver-manager update --ignore_ssl --versions.chrome 2.37",
    "compodoc": "./node_modules/.bin/compodoc -p tsconfig.json -w -s"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "7.1.4",
    "@angular/cdk": "7.2.0",
    "@angular/common": "7.1.4",
    "@angular/compiler": "7.1.4",
    "@angular/core": "7.1.4",
    "@angular/forms": "7.1.4",
    "@angular/http": "7.1.4",
    "@angular/material": "7.2.0",
    "@angular/material-moment-adapter": "7.2.0",
    "@angular/platform-browser": "7.1.4",
    "@angular/platform-browser-dynamic": "7.1.4",
    "@angular/router": "7.1.4",
    "@ngx-translate/core": "11.0.1",
    "@ngx-translate/http-loader": "4.0.0",
    "chvote-protocol-client": "file:lib/chvote-protocol-client.tgz",
    "@protocoder/blake2": "0.0.1",
    "classlist.js": "1.1.20150312",
    "core-js": "2.6.1",
    "hammerjs": "2.0.8",
    "immutable": "4.0.0-rc.12",
    "lodash": "4.17.11",
    "material-design-icons": "3.0.1",
    "moment": "2.23.0",
    "protractor": "5.4.1",
    "resolvmon": "0.2.4",
    "rxjs": "6.3.3",
    "rxjs-compat": "6.3.3",
    "tslib": "1.9.3",
    "typeface-roboto": "0.0.54",
    "types-installer": "1.4.0",
    "underscore": "1.9.1",
    "web-animations-js": "2.3.1",
    "zone.js": "0.8.26"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "0.11.4",
    "@angular/cli": "7.1.4",
    "@angular/compiler-cli": "7.1.4",
    "@angular/language-service": "7.1.4",
    "@types/jasmine": "~3.3.4",
    "@types/jasminewd2": "~2.0.6",
    "@types/node": "10.12.18",
    "@types/underscore": "1.8.9",
    "axe-webdriverjs": "2.1.0",
    "btoa": "1.2.1",
    "codelyzer": "4.5.0",
    "fs-extra": "7.0.1",
    "jasmine-core": "~3.3.0",
    "jasmine-reporters": "2.3.2",
    "jasmine-spec-reporter": "~4.2.1",
    "jasmine2-custom-message": "0.9.3",
    "jasmine2-protractor-utils": "1.3.0",
    "karma": "~3.1.4",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "2.0.4",
    "karma-htmlfile-reporter": "0.3.7",
    "karma-jasmine": "~2.0.1",
    "karma-jasmine-html-reporter": "1.4.0",
    "postcss-import": "12.0.1",
    "postcss-url": "8.0.0",
    "protractor-html-reporter": "1.3.2",
    "q": "1.5.1",
    "request": "2.88.0",
    "stacktrace-js": "2.0.0",
    "ts-node": "~7.0.1",
    "tslint": "~5.12.0",
    "typescript": "3.1.6",
    "uglify-es": "3.3.9",
    "uglifyjs-webpack-plugin": "2.0.1",
    "webpack": "4.28.0"
  }
}
